Subject: Re: bug#46151: 28.0.50; Set revert-buffer-function in shell command output buffers

From: Dmitry Gutov <[email-masked]>
Date: Mon, 1 Feb 2021 01:31:25 +0200

On 29.01.2021 09:21, Lars Ingebrigtsen wrote:
>> I take it a minor mode is more appropriate than a major mode for this?
>> If so, I can come up with a patch adding that to simple.el.
> Since M-! and M-& use different modes (fundamental and shell), a minor
> mode is probably the best, I guess.

Maybe have them use the same mode? The purpose of those buffers seems 
the same, just the methods they reach there are a bit different.

And if the common mode will be derived from shell-mode, why not use RET?

Its current shell-mode's binding doesn't seem useful there.